MPI_Request_fromint(3)

NAME
MPI_Request_fromint - converts an integer handle to MPI_Request

SYNOPSIS
MPI_Request MPI_Request_fromint(int request)

INPUT PARAMETERS
request
    - request (integer)

THREAD AND INTERRUPT SAFETY

This routine is thread-safe. This means that this routine may be safely used by multiple threads without the need for any user-provided thread locks. However, the routine is not interrupt safe. Typically, this is due to the use of memory allocation routines such as malloc or other non-MPICH runtime routines that are themselves not interrupt-safe.